
DROP TABLE PERSON;
DROP TABLE GENOME_TBL;
DROP TABLE RESULT_TBL;
DROP TABLE PER_GEN;
DROP TABLE RSL_PER;
DROP TABLE GEN_TYPE;

CREATE  TABLE  PERSON (
		PERID TEXT,
		BIRTH DATE,
		GENDER  INTEGER(1),
		LASTNAME TEXT(25),
		FIRSTNAME TEXT(25),
		DEATH_DATE DATE,
		WITHDRAW_LEVEL INTEGER (1)
);



CREATE  TABLE  GENOME_TBL (
		GENID INTEGER(6),
		DATATYPE INTEGER(1),
		PRODUCT_ID TEXT,
		PLATE_ID  TEXT
);




CREATE  TABLE  RESULT_TBL (
		RSLID  INTEGER(6), 
		RSLDATE  DATE,
		INSCOMP_ID  INTEGER(2),
		COURSE  INTEGER(4),
		ITEMCODE  INTEGER(6),
		SUFFIX  INTEGER (2),
		RESULT  TEXT(50)
);



CREATE  TABLE  PER_GEN (
		PERID TEXT,
		GENID INTEGER(6)
);


CREATE  TABLE  RSL_PER (
		RSLID INTEGER(6),
		PERID INTEGER(6)
);


CREATE  TABLE  GEN_TYPE (
		DATATYPE INTEGER(6),
		PRODUCT TEXT
);


